:: commit d5bd1e9143b507fdfd8f76c0a04263b979e6e761

mintsuki <mintsuki@protonmail.com> — 2022-06-19 18:48

parents: 9f10f1aa4a

build: Pin reduced-gnu-efi commit

diff --git a/autogen.sh b/autogen.sh
index 7fa7dc5a..e2d517ef 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -11,7 +11,7 @@ cd "$srcdir"
 
 [ -d freestanding_headers ] || git clone https://github.com/mintsuki/freestanding_headers.git
 [ -d stivale ] || git clone https://github.com/stivale/stivale.git
-[ -d reduced-gnu-efi ] || git clone https://github.com/limine-bootloader/reduced-gnu-efi.git
+[ -d reduced-gnu-efi ] || ( git clone https://github.com/limine-bootloader/reduced-gnu-efi.git && cd reduced-gnu-efi && git checkout 5d11cc87653c9fac8d167ea07443ca6569ccdf5f )
 
 automake_libdir="$(automake --print-libdir)"
 
diff --git a/make_toolchain.sh b/make_toolchain.sh
index afaba565..2a7c7698 100755
--- a/make_toolchain.sh
+++ b/make_toolchain.sh
@@ -63,7 +63,7 @@ $TAR -zxf ../nasm-$NASMVERSION.tar.gz
 
 mkdir build-binutils
 cd build-binutils
-../binutils-$BINUTILSVERSION/configure CFLAGS="$CFLAGS" CXXFLAGS="$CFLAGS"  --target=$TARGET --prefix="$PREFIX" --program-prefix=limine- --with-sysroot --disable-nls --disable-werror --enable-targets=x86_64-elf,x86_64-pe
+../binutils-$BINUTILSVERSION/configure CFLAGS="$CFLAGS" CXXFLAGS="$CFLAGS"  --target=$TARGET --prefix="$PREFIX" --program-prefix=limine- --with-sysroot --disable-nls --disable-werror --enable-targets=x86_64-elf
 $MAKE
 $MAKE install
 cd ..
tab: 248 wrap: offon